Package ghidra.formats.gfilesystem.crypto

# Class CryptoProviderSessionChildImpl

java.lang.Object
ghidra.formats.gfilesystem.crypto.CryptoProviderSessionChildImpl

All Implemented Interfaces:
  `CryptoSession`, `Closeable`, `AutoCloseable`

public class CryptoProviderSessionChildImpl extends Object implements CryptoSession
A stub implementation of CryptoSession that relies on a parent instance.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CryptoProviderSessionChildImpl(CryptoSession parentSession)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addSuccessfulPassword(FSRL fsrl, Password password)`
  Pushes a known good password into a cache for later re-retrieval.
  `void`
  `close()`
  Closes this session.
  `Iterator<Password>`
  `getPasswordsFor(FSRL fsrl, String prompt)`
  Returns a sequence of passwords (sorted by quality) that may apply to the specified file.
  `boolean`
  `isClosed()`
  Returns true if this session has been closed.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CryptoProviderSessionChildImpl

    public CryptoProviderSessionChildImpl(CryptoSession parentSession)

- ## Method Details

  - ### close

    public void close()
    Description copied from interface: `CryptoSession`
    Closes this session.
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Specified by:
      `close` in interface `CryptoSession`

  - ### isClosed

    public boolean isClosed()
    Description copied from interface: `CryptoSession`
    Returns true if this session has been closed.
    Specified by:
      `isClosed` in interface `CryptoSession`
    Returns:
      boolean true if closed

  - ### getPasswordsFor

    public Iterator<Password> getPasswordsFor(FSRL fsrl, String prompt)
    Description copied from interface: `CryptoSession`
    Returns a sequence of passwords (sorted by quality) that may apply to the specified file.
    Specified by:
      `getPasswordsFor` in interface `CryptoSession`
    Parameters:
      `fsrl` - `FSRL` path to the password protected file
      `prompt` - optional prompt that may be displayed to a user
    Returns:
      `Iterator` of possible passwords

  - ### addSuccessfulPassword

    public void addSuccessfulPassword(FSRL fsrl, Password password)
    Description copied from interface: `CryptoSession`
    Pushes a known good password into a cache for later re-retrieval.
    Specified by:
      `addSuccessfulPassword` in interface `CryptoSession`
    Parameters:
      `fsrl` - `FSRL` path to the file that was unlocked by the password
      `password` - the good password